import {afterEach, beforeEach} from 'bun:test';


export const ignoreConsoleErrors = (...messagesToIgnore: string[]) => {
  let consoleError_original: typeof console.error;
  beforeEach(() => {
    consoleError_original = console.error;
    console.error = (...data) => {
      if (data.length === 1 && messagesToIgnore.includes(data[0]))
        return;

      consoleError_original(...data);
    };
  });

  afterEach(() => {
    console.error = consoleError_original;
  });
};
