import {RestPathParams, RestQueryParams, RestRequestBody, RestRequestHeaders} from './common';
import {OmitNever} from './internal';

export type RestApiRequest<
    PathParams extends RestPathParams = never,
    QueryParams extends RestQueryParams = never,
    RequestHeaders extends RestRequestHeaders = never,
    RequestBody extends RestRequestBody = never> = OmitNever<{
  pathParams: PathParams,
  queryParams: QueryParams,
  headers: RequestHeaders,
  body: RequestBody
}>

