import {OmitNever} from '../../../types/OmitNever';
import {RestApiRequest} from '../RestApiRequest';
import {
  RestPathParams,
  RestQueryParams,
  RestRequestBody,
  RestRequestHeaders,
  RestRequireAuthentication,
} from '../common';

export type InternalRestApiRequest<
    PathParams extends RestPathParams = never,
    QueryParams extends RestQueryParams = never,
    RequestHeaders extends RestRequestHeaders = never,
    RequestBody extends RestRequestBody = never,
    RequireAuthentication extends RestRequireAuthentication = false> = OmitNever<
    RestApiRequest<PathParams, QueryParams, RequestHeaders, RequestBody>
    & { userId: RequireAuthentication extends true ? string : never }>

