import {APIGatewayProxyEvent} from 'aws-lambda';
import {WsApiConnection} from '../types';

export const getConnection = (event: APIGatewayProxyEvent): WsApiConnection => {
  if (!event.requestContext.connectionId)
    throw 'no connectionId';

  return {
    endpoint: `https://${event.requestContext.domainName}/${event.requestContext.stage}`,
    connectionId: event.requestContext.connectionId,
  };
};
