import {PostToConnectionCommand} from '@aws-sdk/client-apigatewaymanagementapi';
import {WsApiConnection, WsApiResponse} from '../types';
import {getApiGatewayManagementApiClient} from './getApiGatewayManagementApiClient';

export const sendResponse = async <
    Response extends WsApiResponse
>({
    endpoint,
    connectionId,
  }: WsApiConnection, response: Response): Promise<void> => {
  await getApiGatewayManagementApiClient(endpoint).send(
      new PostToConnectionCommand({
        ConnectionId: connectionId,
        Data: JSON.stringify(response),
      }),
  );
};
